Introduction

Welcome to the Gamry Echem Analyst™. This Analysis Framework is intended to provide you with a powerful yet flexible means for analyzing your electrochemical data. This online help system provides all information necessary for using and customizing your Analysis Framework. In the event that you have questions that you are unable to find an answer to, please contact us immediately, and we will do our best to provide the answer to your question.


Contact Gamry

Gamry Instruments can be contacted using the following methods:

Telephone | (215) 682-9330
Fax | (215) 682-9331
Email | techsupport@gamry.com
Mail | Gamry Instruments, Inc. 734 Louis Drive Warminster, PA 18974
World Wide Web | www.gamry.com

We are happy to provide a reasonable level of free support for registered users of our products.


Working with Version 3 Data Files

The Echem Analyst can open standard Gamry Framework Version 3 data files. These older data files do not, however, have all of the information as do newer Version 5 data files. Some Version 3 data files have multiple TAGs associated with them. In order for the Echem Analyst to know which type of data analysis you wish to perform, you must specify which of the older TAGs you wish to use. A dialog box will be displayed which shows a list of available TAGs. Simply choose the TAG which best decribes the data analysis you wish to perform. When in doubt, select the first TAG from the list.

Other differences with the older data files is that they include less object information. The data files use a conversion database to lookup this additional information. The information is looked up by TAG. The conversions for the TAGs are as follows:

Version 3 TAG | Version 5 TAG
IVCURVE | POTENTIODYNAMIC
GALVCOR | GALVCOR
EISCURVE | EISPOT
MOTSCHOT | MOTTSCHOTTKY
NOISE | ZECN
RPEC | RPEC
CBD | CBD
ITCURVE | POTENTIOSTATIC
CV | CV
CPT | CPT
CYCTHERM | CYCTHERM
VTCURVE | CORPOT
REACT | REACT
POLRES | POLRES
VICURVE | GALVANODYNAMIC

This information is stored in a database named GamryVersion3Tags.mdb.

Some of the older data files such as Cyclic Voltammetry do not contain enough information to perform all of the updated analyses. Certain functions, such as Peak Find may not work for the older data files.

Overlaying Older Version Data files

You can overlay Version 3 data files with Version 5 data files. It is suggested that you first open the Version 3 file, and then the Version 5 file. You must pick the appropriate TAG for your version 3 file so that it will work with the Version 5 file. For example, if you want to overlay a Polarization resistance file from each Version, you would first open the Version 3 data file. You would specify that you wish to use the POLRES tag. You would then overlay the Version 5 file using the overlay command on the main menu.

Data files produced by version 4.x of the Gamry Framework™ can be opened, manipulated, and overlaid using this version of the Echem Analyst.


Open

The Open command is used to open either a Raw data file, as output by the Gamry Framework, or a saved analysis file, output by the Gamry Echem Analyst.

Raw data files output by the Gamry Framework are written in an ASCII text format that is tab delimited. These data files contain only the raw data, and some experimental setup information. Raw data files customarily have a .DTA extension.

Saved analysis files output by the Gamry Echem Analyst are written in a binary structured storage file. These files contain information on the analysis that has been performed on the raw data file, as well as the raw data information. These files can only be read by the Gamry Echem Analyst. Saved analysis files have a .Gdata extension.


Close

The File, Close command will close the current window. If you wish to save the file, make sure you do so prior to closing the window, or else the changes will be lost.


Overlay

The Overlay command is used to add additional files, of the same type, to the existing analysis window. Because the information presented in the analysis window was created using a script, that script must have an Overlay routine in order for the file to indeed be overlaid. Please see the information about Standard Routines in the Analysis Library section.

Assuming that the script has an overlay routine, a browse dialog will be displayed, which will allow selection of the file to be overlaid. The file must be of the same type as the original file, or else an error will be reported.

Note: Only raw Gamry data files (.DTA) may be overlaid!


Print

The Print command is used to print a report based on the active document. Because the information presented in the analysis window was created using a script, that script must have a Report routine in order for the report to indeed be printed. Please see the information about Standard Routines in the Analysis Library section.


Save

Save, Save As

The Save and Save As commands are used to save an open file into a Gamry Echem Analyst data file. This data file can be read by the Gamry Echem Analyst, and will save the current data, any VBA scripts in this file, and the current view of the data. The extension for a Gamry Echem Analyst data file is .Gdata.

The Save As command allows the user to enter a filename prior to being saved. The information will then be saved to this file.

The Save command will save the information to the current file. If the current file is not of a Gamry Echem Analyst format, the Save command will act like the Save As command, and first ask for a filename.


Exit

The Exit command will exit the application. This will cause all windows in the application to be closed. Make sure you save your work if you desire, prior to exiting the application.


Scripts

This command is used to display the Scripts Editor. The Scripts Editor is the familiar (for those who have used Microsoft Office) Visual Basic for Applications (VBA) Integrated Development Environment (IDE). The VBA IDE is where all of the scripts used for analysis are written, changed, and saved. Help specific to the VBA IDE is available within the VBA IDE by pressing F1, or selecting from its Help menu.


Create New Analysis Script

This command allows the user to create an entirely new Analysis script. Upon selecting this command, a new project will be added to the Project Explorer in the Scripts Editor. This project will have a single Module (Module1) added to it, with no information.

Upon saving this project, the Scripts Editor will ask for a script filename. If you do not wish to save this script, simply do not save it. It will be forgotten upon the next running of the Gamry Echem Analyst. Likewise, if you want to save the script, and any changes you may have made, make sure you press Save in the Scripts Editor.


Edit Existing Analysis Script

This command allows you to edit an existing analysis script. Upon selection of this command, a Browse dialog appears, asking for the name of the script to edit. Upon selection of a valid script file, the Scripts Editor will be shown, and a new project containing the script will be visible in the Project Explorer. Gamry Analysis Scripts have the extension .Gscript.

If the script is already in use, it will be already be displayed in the Scripts Editor, and the application will simply make the Scripts Editor the active window.


Options

This command displays the Options dialog box. This dialog box allows the user to specify defaults used by the Gamry Analysis Framework. Once you make a change to one of the defaults, press the Apply button, or the Ok button to register the changes. If you make a change that you wish to undo, simply press Cancel to exit the dialog box without saving the changes.

General

Paths

    • Raw Data Files: The default location for Raw data files as output from the Gamry Framework
    • Analysis Data Files: The default location to which Analysis Data files are saved.
    • Script Files: The default location for Script Files. It is suggested that this option not be changed, or else a script may not be able to be located.

Chart

Also see Script-Specific Options

Display Options

    • Palette: This is the color palette used by the GamryChart class. The options available have descriptive names. The default uses primary colors.
    • Annotation Toolbar: This sets whether or not the annotation toolbar is shown by default. Regardless of this setting the toolbar can be displayed or hidden manually using the context sensitive chart menus.
    • Zero Line: This sets whether or not a zero line is displayed by the GamryChart class. Regardless of this setting, the zero line can be displayed or hidden manually using the context sensitive chart menus.
    • Legend: This sets whether or not the legend is displayed automatically upon creation of a GamryChart. Regardless of this setting, the legend can be displayed, moved, or hidden manually.
    • Select Region Color: This sets the color of the highlight for the Select X Region and Select Y Region tools. On some machines, the default color is too light, and this option allows users to customize the color.

Axis Options

    • Allow Reversing: This option specifies whether or not to allow reversing of the Axes. If this option is turned off, scripts which make calls to the GamryAxis class telling it to reverse, will be ignored.
    • Max Intervals: The option specifies the maximum number of major tick labels between the two ends of an axis. For example, a 2 would give 3 labels, one on each end, and one in the middle. A common value is 5. This setting has no effect on log scale axes.
    • Use Gamry Style Scale: This option specifies the use of what we call nice numbers. Instead of scientific notation, numbers will be presented with SI units. For example, 0.001 volts would be shown as 1.000 mV. Turning this option off will specify the use of standard numbers in scientific notation.

Point Options

    • Display Point Information: This option specifies whether or not to display additional point information when the mouse is moved over a single data point. The standard information showing the X and Y axis information is displayed in a tool-tip. When this option is checked, all of the information related to that point is displayed in a grid in the QuickView window.

Printing

Report Text Font

    • Name: The options under Report Text font specify the font name, size, and type to use for any reports.

Grid

A grid is a spreadsheet-like display of the main data tables in a data file. Most files have one main data table, which can contain any number of data points. Displaying this information in a grid can be useful if you want to reference the tabular data. For some large data files, displaying a grid will involve a considerable amount of processing time. Each script has its own option for displaying a grid.

Grid Font

    • Name: The options under Grid font specify the font name, size, and type to use for any data grids.

Units

Also see Script-Specific Options

Corrosion Rate

    • Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will be used to identify the corrosion rate units.
    • Factor: This is the multiplication factor used in calculating the corrosion rate. This is user specified when custom units are selected.

Research Current Convention

  • A Positive Current is: A positive current may mean different things to workers in different areas of electrochemistry. This radio button controls whether a positive current value denotes an anodic/oxidation current or a cathodic/reduction current when it is displayed in the Echem Analyst. It is active only in the "Research" software packages, PHE200 and PV220. It is active only for displayed, measured currents, either on a plot or in a grid. It does not change the sign convention for currents displayed on the Experiment tab. For reference, a notice is placed on the Experiment tab for galvanostatic or chronpotentiometric experiments in the PHE200 or PV220 that indicates the convention used on the Experiment tab.

The current convention selected here may not be the same as that used to run the experiment in the Gamry Framework. The "run-time" convention is set by the script used to run the experiment. The purpose of this option radio button is to allow a consistent display of current data, independent of the convention used to run the experiment.

This option is only queried when a data file is opened or overlaid. Changing this option will not change the display of current data that has already been plotted or tabulated. To change the convention for a data set that has already been opened, you must change the option setting, and then close and re-open the data file.


Script-Specific Menus

In addition to the general purpose File and Tools menus, each script has its own pull down menu to the right of Help. This menu contains operations and options specific to the type of experiment which has been run. See the Help section under each analysis package for more information about these operations.


Script-Specific Options

An Options selection is listed in each Script-specific Menu.

This command displays the Options dialog box. This dialog box allows the user to specify defaults used by the Gamry Echem Analyst. The options that are included will depend on the script being run. Not all options will appear for every script. Once you make the changes to the options, press the Apply button to register the changes. If you make a change that you wish to undo, simply press Close to exit the dialog box without saving the changes. The options in this dialog box apply only to the present data file.

If you wish your selections to be used for all subsequent data files of the same type, press the Save as Defaults button to make these changes permanent.

Many script-specific options require that the data file be reloaded. Any analyses that have been run will be lost.

Alternate I/V

Current-voltage curves can be displayed with the Voltage on X Axis or Voltage on Y Axis.

Grid

Display Grid for each data table

A grid is a spreadsheet-like display of the main data tables in a data file. Most files have one main data table, which can contain any number of data points. Displaying this information in a grid can be useful if you want to reference the tabular data. It is also useful if you wish to copy the data to the Windows Clipboard so that it may be pasted into another application. For some large data files, displaying a grid will involve a considerable amount of processing time. Each script has its own option for displaying a grid.

Grid Font

The font used for the grid can be globally set under the Tools/Options menu

Units

Current

Current can be expressed either as current (ampere) or as current density (A-cm-2) based on the setting of this option. Use this option if you wish to compare data taken with electrodes of different sizes.

Impedance

Impedance data will expressed as ohm or as ohm-cm2 based on the setting of this option. Capacitances will be expressed as F or F-cm-2.

Time

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs which display time.

Factor: This is the multiplication factor used in calculating the difference between seconds and the actual time units to be used. This is user specified when custom units are selected.

Use for Open Circuit Data: This option specifies if the selected time units should be used on open circuit graphs as well as the main data graphs. If this is not selected, open circuit graphs will continue to use seconds as their unit of time.

Voltage

Based on the setting of this option, voltages can be specified relative to:

The Open Circuit Voltage measured at the start of the experiment ( vs. Eoc )

The Reference Electrode ( vs. Eref ). This is the actual voltage difference between the blue Working Electrode Sense lead ( green Working Electrode lead in the case of FAS1 or FAS2 ) and the white Reference Electrode lead as measured by the Potentiostat.

Capacity/Charge

This quantity can be expressed either as "Capacity" (Amp Hours) or "Charge" (Coulombs) based on the setting of this option. A custom setting is also available which will result in the quantity being expressed as "Capacity"

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs. If Amp Hours is selected, the text that will appear in the curve selector will be "Capacity". If Coulombs or Custom is selected, the curve selector text will be "Charge".

Factor: This is the multiplication factor used in calculating the difference between coulombs and the actual units to be used. This is user specified when custom units are selected.

Energy

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs which display Energy.

Factor: This is the multiplication factor used in calculating the difference between coulombs and the actual units to be used. This is user specified when custom units are selected.

Data Table

Remove 1st Row

This setting is only available for PWR800 Cyclic Charge Discharge data files. When checked the 1st row of the data in the current file's data table will be ignored by the analyst and will not appear on the graph or on any data grid.


Overview

Charts are a major constituent of the Gamry Echem Analyst. Charts allow a way for the numerical data to be represented in a graphical format. Charts also allow interactions between the user and the computer so that more information may be extracted from the data. Such interactions include highlighting regions of the x and y axes, selecting a region along a specific trace, or drawing freehand lines or annotations.

The following topics will discuss the interactions that are possible with the chart, and how to use them with some of the standard analysis routines.


Anatomy of a Chart

The following image is a typical Chart object. Click on different areas to find out more information about the various controls.


Removing a Line

Removing a Line or Fit

A line or fit can be removed from the active chart at any time by utilizing the Curve Selector. Right click in the Visible Traces section on the name of the line or fit you wish to remove. A pop-up menu will be displayed which will allow you to remove the trace.

Lines and Fits are also automatically removed if the user specifies a different data set for the chart using the curve selector.


Adding Annotations

The annotation toolbar allows you to draw text and symbols on top of the chart. To make the annotation toolbar visible, right-click in the main body of the chart, and select Annotate Toolbar from under the Toolbars menu item.


Log/Linear Axes

The axes for the plots displayed in the Echem Analyst can be set for either a Linear or a Log format. The analysis script sets the axes to some default format. To change the format, simply right click on on of the axes (right click on one of the scale numbers is usually the easiest) and select the Log Scale menu item. This will toggle the format of the selected axis.


Analysis Library Overview

If you've used Microsoft Office, chances are that you have at one time or another been exposed to Microsoft Visual Basic for Applications (VBA). The Gamry Analysis Framework has been designed for both power and flexibility. To achieve these goals we have created an integrated Analysis environment which makes use of Microsoft VBA.

By implementing the Gamry Echem Analyst in this fashion, we have given end users the means to make changes to the default Analyses. This flexibility also allows for custom analysis scripts to be created, not just by us, but also by you! We feel that this feature will prove to be very valuable in keeping our customers on the leading edge as new techniques and modifications to existing techniques become prevalent.

The following help sections will describe the objects which are made available for use in the Analysis Framework. These sections are not meant to be a substitute for basic programming knowledge, nor will they teach you how to use Microsoft VBA. For this kind of information, you can visit your local book retailer and purchase a reference book on Microsoft VBA. What these sections will teach you is how to use the objects made exclusively available through the Gamry Echem Analyst to modify or create your own custom analysis routines.


Standard Analysis Routines

There are several standard analysis routines which exist as part of the Global Project. The Global Project is loaded automatically when the Gamry Echem Analyst is started. These standard analysis routines are utilized by more than one analysis script, and rather than duplicate the code, which makes for more difficult maintenance, the code is included in one of the following modules:

Custom Analysis Routines

This module contains custom user analysis routines. By default, this module is empty. If you have custom analyses which you wish to create, you would enter them here. It is suggested that you export any custom analyses to VBA text files in the event you have to reinstall or upgrade the software. This will insure that you do not lose any valuable customizations that you have made.

Gamry Analysis Routines

This module Contains Standard Analysis Routines Used by Various Scripts. These routines include peak finding, data fitting, integration, and others.

Gamry Standard Commands

This File Allows Overriding of Standard Menu Commands. Standard Menu Commands include the following:

FileExit
FileOpen
FileClose
FileOverlay
FileSave
FilePrintTabs
FileSaveAs

To override a standard command such as FileOpen, you simply need to implement a function in this module using the name of the standard menu command. If you wish to have the normal FileOpen procedure to be called do not set the function to anything. If you wish to ignore the normal FileOpen procedure, set the function equal to True, as depicted below.

Function FileOpen()
 MsgBox "FileOpen was pressed."
 FileOpen = True
End Function

GamryUtilityRoutines

This file contains Utility functions used by the scripts and standard analysis routines. Utility functions usually are used to parse strings, create printable text, and other non-analysis related routines.

GlobalConstants

This file contains public constants which can be used by the scripts


Special Script Subroutines

The following are descriptions of special script subroutines. These are subroutines which have special names and perform special functions. Each analysis script is expected to have these routines in order to be fully functional.

Main

The Main subroutine is the entry point for any analysis script. The Gamry Echem Analyst tries to call the Main subroutine once a data file has been opened. If the Main subroutine is not found, the Gamry Echem Analyst will report an error.

The document which wished to use the analysis script is passed to the Main routine. This document is called the owner, as it currently owns the analysis script. By using the owner, information about objects can be obtained by the analysis script. This information can further be used to create pages and menus which are added to the document.

The syntax of the Main subroutine is as follows:

Sub Main(Owner As Document)

...

End Sub

MenuHandler

The MenuHandler subroutine is the entry point for an analysis script once a menu item has been selected. Each document has a menu associated with it. This menu, known as the document menu, is usually created by the analysis script itself. When one of these menu items is pressed, the MenuItem tag is passed to the MenuHandler subroutine. This tag is a string which can be used to determine which menu item has been selected by the user. There is an optional parameter that is expected to be handled by the MenuHandler subroutine. This is used currently for the special case of overlaying files by selecting multiple files when using the File, Open command.

The syntax of the MenuHandler subroutine is as follows:

Sub MenuHandler(MenuItem As String, Optional Params As Variant)

...

End Sub

There are several special MenuItem tags which should be handled by the MenuHandler. These are in addition to menu items which belong to the document menu. These special cases include:

miFilePrint - This tag is passed to the MenuHandler from the Main MDI Menu when a user presses the File, Print command. This allows the Gamry Echem Analyst to have a typical windows interface for printing.

miFileOverlay - This tag is passed to the MenuHandler from the Main MDI Menu when a user presses the File, Overlay command. It is also passed to a script when multiple files are selected from the File, Open command and the user specifies to overlay the files. In the first case, where the user specifically selects File, Overlay, no information is contained in the optional Params parameter. In the case where the user has selected multiple files using the File, Open command, an array containing the names of the files to overlay is passed in the optional Params parameter.

A typical handler might look like the this:

Sub MenuHandler(MenuItem As String, Optional Params As Variant)
   Set theOwner = Application.ActiveDoc

    Select Case MenuItem
       Case "miPDIntegrate"
           PDIntegrate
       Case "miPDMinMax"
           PDMinMax
       Case "miPDHelp"
           Application.ShowHelp "DC105.chm", GHID_PotentiodynamicOverview
       Case "miFileOverlay"
           PDFileOverlay (Params)
       Case "miLinearFit"
           PDLinearFit
       Case "miPDTafel"
           PDTafel
       Case "miPDELogI"
           PDELogI
       Case "miPDPolarizationResistance"
           PDPolarizationResistance
       Case "miFilePrint"
           PDPrint
       Case "miAddEConstant"
           PDAddEConstant
       Case "miAddIConstant"
           PDAddIConstant
       Case "miSmoothData"
           PDSmoothData
       Case "miNormalizeByArea"
           PDNormalizeByArea

    End Select
End Sub


Add (GamryFiles)

Add

See Also

Adds a member to the GamryFiles collection.

Syntax

Set retval = object.Add (path)

Part | Description
object | An object expression that evaluates to a GamryFiles object.
path | A string representation of the path to the file which is to be added to the collection.
retval | A GamryFile object.

Example

Dim myGamryFilesCollection as GamryFiles

Set myGamryFilesCollection = Document.Files
myGamryFilesCollection.Add ("samplefile.dta")


Browse

Displays a browse dialog box which allows the user the specify an existing filename.

Syntax

path = object.Browse (title, [filter], [start path])

Part | Description
object | An object expression that evaluates to a GamryFiles object.
title | A string specifying the caption of the Browse dialog.
filter | A string expression specifying the filename extension.
start path | A string representation of the path at which the browse dialog begins its display of existing files.
path | A string representation of the path to the file which was specified by the user.

Example

myGamryFilesCollection.Browse ("Select a File...", "Merlot Files (*.mlt)|*.mlt", _
"C:\My Documents")

Remarks

A filter specifies the type of files that are displayed in the dialog box's file list box. For example, selecting the filter *.txt displays all text files.

Use this property to provide the user with a list of filters that can be selected when the dialog box is displayed.

Use the pipe ( | ) symbol (ASCII 124) to separate the description and filter values. Do not include spaces before or after the pipe symbol, because these spaces will be displayed with the description and filter values.

The following code shows an example of a filter that enables the user to select text files or graphic files that include bitmaps and icons:

Text (*.txt)|*.txt|Pictures (*.bmp;*.ico)|*.bmp;*.ico


Clear (GamryFiles)

Clear

Clears all of the members in the GamryFiles collection.

Syntax

object.Clear

Part | Description
object | An object expression that evaluates to a GamryFiles object.

Example

Dim myGamryFilesCollection as GamryFiles
myGamryFilesCollection.Clear


Count (GamryFiles)

Count

Returns the number of items in the GamryFiles collection.

Syntax

retval = object.Count

Part | Description
object | An object expression that evaluates to a GamryFiles object.
retval | An integer specifying the number of items in the collection.

Example

Dim myGamryFilesCollection as GamryFiles
Dim aCount as Integer

Set myGamryFilesCollection = Document.Files

' Returns the number of items in the collection
aCount = myGamryFilesCollection.Count


Item (GamryFiles)

Item

Returns a member from the GamryFiles collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryFiles object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | A GamryFile object.

Example

Dim myGamryFilesCollection as GamryFiles
Dim myGamryFile as GamryFile

Set myGamryFilesCollection = Document.Files

' Returns the first item in the collection
Set myGamryFile = myGamryFilesCollection.Item (1)


Remove (GamryFiles)

Remove

Removes a member from the GamryFiles collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryFiles object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryFilesCollection as GamryFiles
Set myGamryFilesCollection = Document.Files

' Removes the first item in the collection
myGamryFilesCollection.Remove (1)


Add (GamryLines)

Add

Adds a member to the GamryLines collection.

Syntax

Set retval = object.Add (table, slope, intercept)

Part | Description
object | An object expression that evaluates to a GamryLines object.
table | An object expression that evaluates to a GamryTable object. This table should contain at least two coordinates that define the line, so it can be drawn on a chart.
slope | A double representing the slope of the line.
intercept | A double representing the y-intercept of the line.
retval | A GamryLine object.

Example

Dim myGamryLinesCollection as GamryLines
Dim myGamryLine as GamryLine

Set myGamryLinesCollection = Document.Lines
Set myGamryLine = myGamryLinesCollection.Add (aTable, 1.5, 0.0)


Item (GamryLines)

Item

Returns a member from the GamryLines collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryLines object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | A GamryLine object.

Example

Dim myGamryLinesCollection as GamryLines
Dim myGamryLine as GamryLine

Set myGamryLinesCollection = Document.Lines

' Returns the first item in the collection
Set myGamryLine = myGamryLinesCollection.Item (1)


Remove (GamryLines)

Remove

Removes a member from the GamryLines collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryLines object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryLinesCollection as GamryLines
Set myGamryLinesCollection = Document.Lines

' Removes the first item in the collection
myGamryLinesCollection.Remove (1)


Add (GamryObjects)

Add

Adds a member to the GamryObjects collection. The GamryObjects collection contains member objects. These objects are of varied types including GamryPoten, GamryQuant, and GamryTable.

Syntax

Set retval = object.Add (memberobject)

Part | Description
object | An object expression that evaluates to a GamryObjects object.
memberobject | An object that is to be reference by the GamryObjects collection. This object can be of virtually any type that is public and createable. For persistance reasons, it is suggested that only Gamry created objects be used.
retval | A GamryObject object.

Example

Dim myGamryObjectsCollection as GamryObjects

Set myGamryObjectsCollection = Document.Objects
myGamryObjectsCollection.Add ("samplefile.dta")

Remarks

When a data file is saved in the Gamry Echem Analyst, the program attempts to save the objects in the GamryObjects collection. If an object is not added to the collection, it will not be saved. Exceptions to this are visible objects added to a GamryPage. Each GamryPage has its own GamryObjects collection, which is saved.


Item (GamryObjects)

Item

Returns a member from the GamryObjects collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryObjects object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | A GamryObject object.

Example

Dim myGamryObjectsCollection as GamryObjects
Dim myGamryObject as GamryObject

Set myGamryObjectsCollection = Document.Objects

' Returns the first item in the collection
Set myGamryObject = myGamryObjectsCollection.Item (1)


ItemObject

Returns a member object from the GamryObjects collection. A member object is the object to which the GamryObject refers to.

Syntax

Set retval = object.ItemObject (key)

Part | Description
object | An object expression that evaluates to a GamryObjects object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | An object of unknown type.

Example

Dim myGamryObjectsCollection as GamryObjects
Dim myObject as Object

Set myGamryObjectsCollection = Document.Objects

' Returns the first item in the collection
Set myObject = myGamryObjectsCollection.ItemObject (1)

Remarks

This is the default method for the GamryObjects collection. So it is very common to see the following syntax.

Dim myGamryObjectsCollection as GamryObjects
Dim myPoten as GamryPoten

Set myGamryObjectsCollection = Document.Objects

' Returns the GamryPoten Object
Set myPoten = myGamryObjectsCollection ("INITIALE")


Remove (GamryObjects)

Remove

Removes a member from the GamryObjects collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryObjects object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryObjectsCollection as GamryObjects
Set myGamryObjectsCollection = Document.Objects

' Removes the first item in the collection
myGamryObjectsCollection.Remove (1)


ActivePage

Returns a the currently active member from the GamryPages collection. The active member is the one the document currently has visible.

Syntax

Set retval = object.ActivePage

Part | Description
object | An object expression that evaluates to a GamryPages object.
retval | A GamryPage object.

Example

Dim myGamryPagesCollection as GamryPages
Dim myGamryPage as GamryPage

Set myGamryPagesCollection = Document.Pages

' Returns the first item in the collection
Set myGamryPage = myGamryPagesCollection.ActivePage

Remarks

This is a useful function to determine what chart may be in use when performing fit operations or peak finding.


Add (GamryPages)

Add

Adds a member to the GamryPages collection.

Syntax

Set retval = object.Add (name, caption, document)

Part | Description
object | An object expression that evaluates to a GamryPages object.
name | A string expression specifying the identifying name of the page. This name is used to retrieve the page from the collection.
caption | A string expression specifying the caption of the page. This is the string visible on the tab of the page.
document | An object expression that evaluates to a Document object. This document is the one to which the page is to be added.
retval | A GamryPage object.

Example

Dim myGamryPagesCollection as GamryPages
Dim myGamryPage as GamryPage

Set myGamryPagesCollection = Document.Pages
Set myGamryPage = myGamryPagesCollection.Add ("pageTest", "Test", Document)


Item (GamryPages)

Item

Returns a member from the GamryPages collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryPages object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier. The string identifier is equal to the name of the GamryPage.
retval | A GamryPage object.

Example

Dim myGamryPagesCollection as GamryPages
Dim myGamryPage as GamryPage

Set myGamryPagesCollection = Document.Pages

' Returns the first item in the collection
Set myGamryPage = myGamryPagesCollection.Item (1)


Remove (GamryPages)

Remove

Removes a member from the GamryPages collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryPages object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryPagesCollection as GamryPages
Set myGamryPagesCollection = Document.Pages

' Removes the first item in the collection
myGamryPagesCollection.Remove (1)


Add (GamryPeaks)

Add

Adds a member to the GamryPeaks collection.

Syntax

Set retval = object.Add (xloc, yloc, ybase)

Part | Description
object | An object expression that evaluates to a GamryPeaks object.
xloc | A double representing the x-location of the peak.
yloc | A double representing the y-location of the peak.
ybase | A double representing the base location of the peak. This is the y-value which is used to determine the base for the height of the peak.
retval | A GamryPeak object.

Example

Dim myGamryPeaksCollection as GamryPeaks
Dim myGamryPeak as GamryPeak

Set myGamryPeaksCollection = Document.Peaks
Set myGamryPeak = myGamryPeaksCollection.Add (1.0, 1.5, 0.0)


Item (GamryPeaks)

Item

Returns a member from the GamryPeaks collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryPeaks object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | A GamryPeak object.

Example

Dim myGamryPeaksCollection as GamryPeaks
Dim myGamryPeak as GamryPeak

Set myGamryPeaksCollection = Document.Peaks

' Returns the first item in the collection
Set myGamryPeak = myGamryPeaksCollection.Item (1)


Remove (GamryPeaks)

Remove

Removes a member from the GamryPeaks collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryPeaks object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryPeaksCollection as GamryPeaks
Set myGamryPeaksCollection = Document.Peaks

' Removes the first item in the collection
myGamryPeaksCollection.Remove (1)


Add (GamryTraces)

Add

Adds a member to the GamryTraces collection.

Syntax

Set retval = object.Add (category, table, xcol, ycol, [optional] y2col)

Part

Description

object

An object expression that evaluates to a GamryTraces object.

category

A SeriesCategory constant that specifys the type of trace to add to the collection. The valid types are:

scNormal (&H100): A normal trace.

scOverlay (&H200): An overlaid trace.

scLine (&H400): A line.

scFit (&H800): A fit.

scBkSubtracted (&H1000): A trace which has had its background subtracted.

scNormalizedByScanRate (&H2000): A trace which has been normalized by the scan rate of the data acquisition.

scNormalizedByArea (&H4000): A trace which has been normalized by the area of the working electrode.

table

A table containing the data to be used by the trace.

xcol

An integer specifying which column in the table is to be used for the x data.

ycol

An integer specifying which column in the table is to be used for the y data.

y2col

An optional integer specifying which column in the table is to be used for the y2 data. If this number is omitted, no y2 data will be shown.

retval

A GamryTrace object.

Example

Dim myGamryTracesCollection as GamryTraces
Dim myGamryTrace as GamryTrace

Set myGamryTracesCollection = Document.Traces

' This line adds a normal trace using columns 1 and 2 in the table for its data.
Set myGamryTrace = myGamryTracesCollection.Add (scNormal, aTable, 1, 2)

Remarks

The category is used to keep track of the types of traces. The category may be equal to more than one of the valid values by using bitwise operators. For example, a Normal trace which has been normalized by its area may have a category value of:

Category = scNormal Or scNormalizedByArea


Item (GamryTraces)

Item

Returns a member from the GamryTraces collection.

Syntax

Set retval = object.Item (key)

Part | Description
object | An object expression that evaluates to a GamryTraces object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.
retval | A GamryTrace object.

Example

Dim myGamryTracesCollection as GamryTraces
Dim myGamryTrace as GamryTrace

Set myGamryTracesCollection = Document.Traces

' Returns the first item in the collection
Set myGamryTrace = myGamryTracesCollection.Item (1)


Remove (GamryTraces)

Remove

Removes a member from the GamryTraces collection.

Syntax

object.Remove (key)

Part | Description
object | An object expression that evaluates to a GamryTraces object.
key | A variant representing the key of the Item in the collection. The variant can be either an integer index, starting from 1, or it can be a string identifier.

Example

Dim myGamryTracesCollection as GamryTraces
Set myGamryTracesCollection = Document.Traces

' Removes the first item in the collection
myGamryTracesCollection.Remove (1)


Clear

Clears all of the members in a collection.

Syntax

object.Clear

Part | Description
object | An object expression that evaluates to an object in the Applies To list.

Example

Dim myGamryFilesCollection as GamryFiles

Set myGamryFilesCollection = Document.Files
myGamryFilesCollection.Clear


Count

Returns the number of members in a collection.

Syntax

count = object.Count

Part | Description
object | An object expression that evaluates to an object in the Applies To list.
count | An integer specifying the number of members in a collection.

Example

Dim myGamryFilesCollection as GamryFiles
Dim FileCount as Integer

Set myGamryFilesCollection = Document.Files
FileCount = myGamryFilesCollection.Count


Show Toggle

Returns or sets the visibility of the GamryAeSelect object's Toggle.

Syntax

object.ShowToggle [= boolean]

Part | Description
object | An object expression that evaluates to a GamryAeSelect object.
boolean | An boolean specifying the visibility of the toggle.

Settings

The settings for boolean are:

Setting

Description

True

The toggle is displayed.

False

(Default) The toggle is not displayed.

Example

Dim myAeSelector as New GamryAeSelect

myAeSelector.ShowToggle = True


Toggle

Returns or sets the value of the GamryAeSelect's object's Toggle.

Syntax

object.Toggle [= boolean]

Part | Description
object | An object expression that evaluates to a GamryAeSelect object.
boolean | An boolean specifying the value of the toggle.

Settings

The settings for boolean are:

Setting

Description

True

The object value is true.

False

(Default) The object value is false.

Example

Dim myAeSelector as New GamryAeSelect

myAeSelector.Toggle = True


TogglePrompt

Returns or sets the prompt for the GamryAeSelect object's Toggle.

Syntax

object.TogglePrompt [= string]

Part | Description
object | An object expression that evaluates to a GamryAeSelect object.
string | An boolean specifying the value of the toggle prompt.

Example

Dim myAeSelector as New GamryAeSelect

myAeSelector.TogglePromt = "Set Limits"


Value

Returns or sets the value of the GamryAeSelect object.

Syntax

object.Value [= integer]

Part | Description
object | An object expression that evaluates to a GamryAeSelect object.
integer | An integer specifying the value of the object.

Example

Dim myAeSelector as New GamryAeSelect

myAeSelector.Value = 255


DataSource

Returns or sets the DataSource object for the GamryAeselectView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryAeselectView object.
source | A GamryAeselectView object which is to be the source for this viewable object

Example

Dim myAeSelect as New GamryAeselect
Dim myAeSelectView as New GamryAeselectView


IsLog

Returns or sets the IsLog value of the GamryAxis object. This value determines whether or not the Axis is in Log or Linear format.

Syntax

object.IsLog [= boolean]

The IsLog property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryPoten object.

boolean

A boolean specifying whether the GamryAxis object uses a Log or Linear format.

Settings

The settings for boolean are:

Setting

Description

True

The axis has a Log format.

False

(Default) The axis has a Linear format.

Example

' Specify a Log format
myAxis.IsLog = True


IsReversed

Returns or sets the IsReversed value of the GamryAxis object. This value determines whether or not the Axis is plotted in a reverse style, meaning the axis plots from Max to Min rather than from Min to Max.

Syntax

object.IsReversed [= boolean]

The IsReversed property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryPoten object.

boolean

A boolean specifying whether the GamryAxis object uses a reversed plotting style.

Settings

The settings for boolean are:

Setting

Description

True

The axis has a reversed plotting style.

False

(Default) The axis has a normal plotting style.

Example

' Specify a Reversed format
myAxis.IsReversed = True


Title (GamryAxis)

Title

Returns or sets the Title of the GamryAxis object.

Syntax

object.Title [= string]

Part | Description
object | An object expression that evaluates to a GamryAxis object.
string | A string specifying the title of the object.

Example

myAxis.Title = "X Axis"


Units

Returns or sets the Units of the GamryAxis object.

Syntax

object.Units [= string]

Part | Description
object | An object expression that evaluates to a GamryAxis object.
string | A string specifying the units of the object.

Example

myAxis.Units = "V"


AllowPointDisabling

Returns or sets the option to allow individual points to be disabled on the chart. This is most commonly used for impedance fitting where individual points can throw off a fit. If this option is selected, right clicking on a point will allow a menu item to disable (or enable) a point.

Syntax

object.AllowPointDisabling = [setting]

Part | Description
object | An object expression that evaluates to a GamryChart object.
setting | A boolean specifying the state of the AllowPointDisabling option. Valid values are: False: Point disabling not allowed. True: Allow point disabling.

Example

' Allow point disabling for fitting
myChart.AllowPointDisabling = True


AlternateIV

Returns the Use Alternate I/V setting for the system. This setting is specified under the Tools, Options, Chart on the main application menubar. It is used to allow for a European style plotting format.

Syntax

setting = object.AlternateIV

Part | Description
object | An object expression that evaluates to a GamryChart object.
setting | A boolean specifying the state of the Use Alternate I/V option. Valid values are: False: Use Alternate I/V is not selected. True: Use Alternate I/V is selected.

Example

' Check the Alternate I/V setting
If (theChart.AlternateIV = True) Then
' Make the current scale log
theChart.Axis(Y_AXIS).IsLog = True
Set aTrace = theChart.Traces.Add(scNormal, theTable, colVoltage, colCurrent)
Else
' Make the current scale log
theChart.Axis(X_AXIS).IsLog = True
Set aTrace = theChart.Traces.Add(scNormal, theTable, colCurrent, colVoltage)
End If


Axis

Returns the specified GamryAxis object.

Syntax

Set retval = object.Axis (axis)

Part | Description
object | An object expression that evaluates to a GamryChart object.
axis | A constant specifying which axis to return. Valid values are: X_AXIS (2): The X-Axis. Y_AXIS (0): The Y-Axis. Y2_AXIS (1): The secondary Y-Axis.
retval | A GamryAxis object.

Example

Dim myAxis as GamryAxis

' Return the X-Axis object
Set myAxis = myChart.Axis (X_AXIS)


CurrentTrace

Returns or sets the index of the current trace.

Syntax

object.CurrentTrace [= index]

Part | Description
object | An object expression that evaluates to a GamryChart object.
index | An integer specifying the current trace.

Example

Dim iTrace as Integer

iTrace = myChart.CurrentTrace

Remarks

The current trace is the one which is active. This means that curve selection occurs on this trace.


CurveSelectRegion

Returns the two bounding indexes for a selected region on the current trace.

Syntax

object.CurveSelectRegion (index1, index2)

Part | Description
object | An object expression that evaluates to a GamryQuant object.
index1 | The integer point number of the first bounding data point.
index2 | The integer point number of the second bounding data point.

Example

Dim Index1 as Integer
Dim Index2 as Integer

myChart.CurveSelectRegion (Index1, Index2)

Remarks

The values are returned in the index1 and index2 parameters, as they are passed by reference to the subroutine. Use the CurrentTrace property to determine which curve these indices refer to.


Lines

Returns the GamryLines collection.

Syntax

Set retval = object.Lines

Part | Description
object | An object expression that evaluates to a GamryChart object.
retval | A GamryLines collection.

Example

Dim myGamryLinesCollection as GamryLines
Set myGamryLinesCollection = myChart.Lines


LowerSelect

Returns the lower value of the selected region on the chart.

Syntax

retval = object.Lowerselect

Part | Description
object | An object expression that evaluates to a GamryQuant object.
retval | A double specifying the lower value of the selected region on the chart.

Example

Dim dblLS as Double

dblLS = myChart.LowerSelect


OneToOne

Returns or sets the option to make the chart have a 1:1 X:Y axis ratio. This is most commonly used for the Nyquist plot.

Syntax

object.OneToOne = [setting]

Part | Description
object | An object expression that evaluates to a GamryChart object.
setting | A boolean specifying the state of the OneToOne option. Valid values are: False: Normal plot. True: Use a 1:1 ratio.

Example

' Specify a chart to use 1:1 ratio
theNyquistChart.OneToOne = True


Peaks

Returns the GamryPeaks collection.

Syntax

Set retval = object.Peaks

Part | Description
object | An object expression that evaluates to a GamryChart object.
retval | A GamryPeaks collection.

Example

Dim myGamryPeaksCollection as GamryPeaks
Set myGamryPeaksCollection = myChart.Peaks


QuickView

Returns or sets the current status of the QuickView area of the chart.

Syntax

object.QuickView = [view]

Part | Description
object | An object expression that evaluates to a GamryChart object.
view | A constant specifying the state of the QuickView Valid values are: qvNone (0): Nothing displayed in QuickView. qvGrid (1): Grid displayed in QuickView. qvText (2): Text displayed in QuickView.

Example

' Specify some text to be shown in QuickView
myChart.SetQuickText ("Hello World!")
' Make the QuickView show the text
myChart.QuickView (qvText)


Refresh (GamryChart)

Refresh

Refresh the GamryChart object. This causes the object to be updated and repainted.

Syntax

object.Refresh

Part | Description
object | An object expression that evaluates to a GamryChart object.

Example

myChart.Refresh


SetQuickGrid

Specifies a GamryGrid object to be displayed in the quick view area of the chart.

Syntax

object.SetQuickGrid thegrid

Part | Description
object | An object expression that evaluates to a GamryChart object.
thegrid | An object expression that evaluates to a GamryGrid object.

Example

Dim myGrid as New GamryGrid

' Specify my new grid to be used by the quick view
myChart.SetQuickGrid (myGrid)
' Make the QuickView show the grid
myChart.QuickView (qvGrid)


SetQuickText

Specifies a string to be displayed in the quick view area of the chart.

Syntax

object.SetQuickText string

Part | Description
object | An object expression that evaluates to a GamryChart object.
string | A string.

Example

' Specify some text to be shown in QuickView
myChart.SetQuickText ("Hello World!")
' Make the QuickView show the text
myChart.QuickView (qvText)


Title (GamryChart)

Title

Returns or sets the Title of the GamryChart object.

Syntax

object.Title [= string]

Part | Description
object | An object expression that evaluates to a GamryChart object.
string | A string specifying the title of the object.

Example

myChart.Title = "Sample Chart"


Traces

Returns the GamryTraces collection.

Syntax

Set retval = object.Traces

Part | Description
object | An object expression that evaluates to a GamryChart object.
retval | A GamryTraces collection.

Example

Dim myGamryTracesCollection as GamryTraces
Set myGamryTracesCollection = myChart.Traces


UpperSelect

Returns the upper value of the selected region on the chart.

Syntax

retval = object.Upperselect

Part | Description
object | An object expression that evaluates to a GamryQuant object.
retval | A double specifying the upper value of the selected region on the chart.

Example

Dim dblUS as Double

dblUS = myChart.UpperSelect


Visible (GamryChart)

Visible

Returns or sets the whether or not the GamryChart object is visible.

Syntax

object.Visible [= boolean]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryChart object.

boolean

A boolean specifying the whether or not the GamryChart object is visible.

Settings

The settings for boolean are:

Setting

Description

True

(Default) The object is visible.

False

The object is hidden.

Example

Dim myChart as New GamryChart

' Make it so the chart will be hidden
myChart.Visible = FALSE


VsEref

AlternateIV

Returns the Voltage vs. setting for the system. This setting is specified under the Tools, Options, Chart on the main application menubar. It is used to allow for measured voltages to be plotted versus a reference potential (default) or versus an open circuit potential (Eoc).

Syntax

object.VsEref = [setting]

Part | Description
object | An object expression that evaluates to a GamryChart object.
setting | A boolean specifying the state of the Voltage vs. option. Valid values are: False: Voltages should be vs. Eoc True: Voltages should be vs. Eref

Example

' Check to see if change chart to vs. Eoc is requested
If Not (theChart.VsEref) Then
GARAddConstantCalc aTrace, colVoltage, -1# * CDbl(theOwner.Objects("EOC").Value), "V vs. Eoc"
End If


Path

Returns or sets the path of the GamryFile object.

Syntax

object.Path [= string]

Part | Description
object | An object expression that evaluates to a GamryLabel object.
string | A string specifying the path of the object.

Example

Dim myFile as New GamryFile

myFile.Path = "C:\My Documents\MyDataFile.dta""


Clear (GamryGrid)

Clear

Clears all of the information in the GamryGrid.

Syntax

object.Clear

Part | Description
object | An object expression that evaluates to a GamryGrid object.

Example

myGrid.Clear


ColFormats

Returns or sets the formats for the columns of the GamryGrid object.

Syntax

object.ColFormats [= stringarray]

Part | Description
object | An object expression that evaluates to a GamryGrid object.
stringarray | An array of strings specifying the formats for the columns.

Example

Dim myFormats(0 to 1) as String

myFormats (0) = "Scientific"
myFormats (1) = "Percent"

myGrid.ColFormats = myFormats

Remarks

The format strings are valid Visual Basic format strings as specified by the Format/Format$ commands. Please see the Visual Basic documentation for more information on these format strings.

The length of the stringarray must be equal to the number of columns in the GamryGrid object.


ColHeaders

Returns or sets the headers for the columns of the GamryGrid object.

Syntax

object.ColHeaders [= stringarray]

Part | Description
object | An object expression that evaluates to a GamryGrid object.
stringarray | An array of strings specifying the headers for the columns.

Example

Dim myHeaders(0 to 1) as String

myHeaders (0) = "Voltage"
myHeaders (1) = "Current"

myGrid.ColHeaders = myHeaders

Remarks

The length of the stringarray must be equal to the number of columns in the GamryGrid object.


Cols

Returns the number of columns in the GamryGrid object.

Syntax

object.Cols

Part | Description
object | An object expression that evaluates to a GamryGrid object.

Example

Dim numCols As Integer
numCols = myGrid.Cols


DataSource (GamryGrid)

DataSource

Returns or sets the DataSource object for the GamryGrid object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryGrid object.
source | A GamryTable object which is to be the source for this viewable object

Example

Dim aTable as GamryTable
Dim myGrid as New GamryGrid

... table is setup from some other operation ...

myGrid.DataSource = aTable


RowHeaders

Returns or sets the headers for the rows of the GamryGrid object.

Syntax

object.RowHeaders [= stringarray]

Part | Description
object | An object expression that evaluates to a GamryGrid object.
stringarray | An array of strings specifying the headers for the rows.

Example

Dim myHeaders(0 to 1) as String

myHeaders (0) = "Min Voltage"
myHeaders (1) = "Max Voltage"

myGrid.RowHeaders = myHeaders

Remarks

The length of the stringarray must be equal to the number of rows in the GamryGrid object.


Rows

Returns the number of rows in the GamryGrid object.

Syntax

object.Cols

Part | Description
object | An object expression that evaluates to a GamryGrid object.

Example

Dim numRows As Integer
numRows = myGrid.Rows


TextMatrix

Returns a string representation of the information in the specified cell.

Syntax

retval = object.TextMatrix (row, col)

Part | Description
object | An object expression that evaluates to a GamryGrid object.
row | An integer specifying the row of the cell to return.
col | An integer specifying the column of the cell to return.
retval | A string specifying the value of the specified cell.

Example

Dim sCell As String

' Returns the information in cell 1, 1.
sCell = myGrid.TextMatrix (1,1)


Visible (GamryGrid)

Visible

Returns or sets the whether or not the GamryGrid object is visible.

Syntax

object.Visible [= boolean]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryGrid object.

boolean

A boolean specifying the whether or not the GamryGrid object is visible.

Settings

The settings for boolean are:

Setting

Description

True

(Default) The object is visible.

False

The object is hidden.

Example

Dim myGrid as New GamryGrid

' Make it so the grid will be hidden
myGrid.Visible = FALSE


Value (GamryIQuant)

Value

Returns or sets the value of the GamryIQuant object.

Syntax

object.Value [= integer]

Part | Description
object | An object expression that evaluates to a GamryPoten object.
integer | An integer specifying the value of the object.

Example

Dim myIQuant as New GamryIQuant

myIQuant.Value = 3


DataSource (GamryIQuantView)

DataSource

Returns or sets the DataSource object for the GamryIQuantView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryIQuantView object.
source | A GamryIQuant object which is to be the source for this viewable object

Example

Dim myIQuant as New GamryIQuant
Dim myIQuantView as New GamryIQuantView

myIQuantView.DataSource = myIQuant


Text (GamryLabel)

Text

Returns or sets the text of the GamryLabel object.

Syntax

object.Text [= string]

Part | Description
object | An object expression that evaluates to a GamryLabel object.
string | A string specifying the text of the object.

Example

Dim myLabel as New GamryLabel

myLabel.Text = "Hello world!"


DataSource (GamryLabelView)

DataSource

Returns or sets the DataSource object for the GamryLabelView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryLabelView object.
source | A GamryLabel object which is to be the source for this viewable object

Example

Dim myLabel as New GamryLabel
Dim myLabelView as New GamryLabelView

myLabelView.DataSource = myLabel


Evaluate (GamryLine)

Evaluate

Returns an evaluated y-value along the line given an x-value.

Syntax

retval = object.Evaluate (xvalue)

Part | Description
object | An object expression that evaluates to a GamryLine object.
xvalue | A double specifying the x-value which is to be evaluated.
retval | A double specifying the y-value for the given x-value.

Example

Dim dYValue as Double

' Evaluates the x-value (1.2) using the line's slope and intercept to determine
' the y-value.
dYValue = myLine.Evaluate (1.2)


Intercept

Returns or sets the y-intercept of the line.

Syntax

object.Intercept [= intercept]

Part | Description
object | An object expression that evaluates to a GamryLine object.
intercept | A double representing the y-intercept of the line.

Example

Dim myGamryLine As New GamryLine

myGamryLine.Intercept = -1.0#


Slope

Returns or sets the slope of the line.

Syntax

object.Slope [= slope]

Part | Description
object | An object expression that evaluates to a GamryLine object.
slope | A double representing the slope of the line.

Example

Dim myGamryLine As New GamryLine

myGamryLine.Slope = 2.5#


AddButton

Adds a button to the GamryMenu.

Syntax

object.AddButton caption, identifier

Part | Description
object | An object expression that evaluates to a GamryMenu object.
caption | A string specifying the caption of the button.
identifier | A string specifying the identifier of the button. The identifier is passed to the menu-handler so that it can determine which menu item was selected.

Example

Dim myGamryMenu as GamryMenu

Set myGamryMenu = Document.Menu
myGamryMenu.AddButton "Quick &Help", "miCVHelp"

Remarks

The button is a clickable menu item that appears on the top level of the menu. Note that an ampersand (&) can be used in the caption string to specify a control key value. This value allows selection of the menu item by using the keyboard only. The ampersand should precede the character to be used as the control key value.


AddChild

Adds a child menu item to the GamryMenu.

Syntax

object.AddChild parent, caption, identifier

Part | Description
object | An object expression that evaluates to a GamryMenu object.
parent | A string specifying the identifier of the parent menu item to which this child is to belong.
caption | A string specifying the caption of the child button.
identifier | A string specifying the identifier of the button. The identifier is passed to the menu-handler so that it can determine which menu item was selected.

Example

Dim myGamryMenu as GamryMenu

Set myGamryMenu = Document.Menu
myGamryMenu.AddParent "&Sample", "miSample"
myGamryMenu.AddChild "miSample", "Child &1", "miChild1"
myGamryMenu.AddChild "miSample", "Child &2", "miChild2"

Remarks

The child button is a clickable menu item that appears under the top level parent whichi is specified in the AddChild method.

Note that an ampersand (&) can be used in the caption string to specify a control key value. This value allows selection of the menu item by using the keyboard only. The ampersand should precede the character to be used as the control key value.


AddParent

Adds a parent menu item to the GamryMenu.

Syntax

object.AddParent caption, identifier

Part | Description
object | An object expression that evaluates to a GamryMenu object.
caption | A string specifying the caption of the parent button.
identifier | A string specifying the identifier of the button. The identifier is passed to the menu-handler so that it can determine which menu item was selected.

Example

Dim myGamryMenu as GamryMenu

Set myGamryMenu = Document.Menu
myGamryMenu.AddParent "My &Menu", "miMyMenu"

Remarks

Unlike a normal button a parent can be used when adding child menu items. The parent button is a clickable menu item that displays child menu items below it.

Note that an ampersand (&) can be used in the caption string to specify a control key value. This value allows selection of the menu item by using the keyboard only. The ampersand should precede the character to be used as the control key value.


Value

Returns or sets the value of the GamryMltParam object.

Syntax

object.Value [= real]

Part | Description
object | An object expression that evaluates to a GamryMltParam.
real | A real specifying the value of the object.

Example

Dim myMltParam as New GamryMltParam

myMltParam.Value = 0.15


SelectionString

Returns or sets the description of the selected option of the GamryMltParam object.

Syntax

object.SelectionString [= string]

Part | Description
object | An object expression that evaluates to a GamryMltParam.
string | A string specifying the description of the object's selected option.

Example

Dim myMltParam as New GamryMltParam

myMltParam.SelectionString= "Constant Current"


SelectorString

Returns or sets the units of the GamryMltParam object's value

Syntax

object.SelectorString [= string]

Part | Description
object | An object expression that evaluates to a GamryMltParam.
string | A string specifying the units of the object's value.

Example

Dim myMltParam as New GamryMltParam

myMltParam.SelectorString= "Amp(s)"


DataSource

Returns or sets the DataSource object for the GamryMltParamView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryMltParamView object.
source | A GamryMltParam object which is to be the source for this viewable object

Example

Dim myMltParam as New GamryMltParam
Dim myMltParamView as New GamryMltParamView


Text (GamryNotes)

Text

Returns or sets the text of the GamryNotes object.

Syntax

object.Text [= string]

Part | Description
object | An object expression that evaluates to a GamryNotes object.
string | A string specifying the text of the object.

Example

Dim myNotes as New GamryNotes

myNotes.Text = "Hello world! Here are a few notes."


DataSource (GamryNotesView)

DataSource

Returns or sets the DataSource object for the GamryNotesView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryNotesView object.
source | A GamryNotes object which is to be the source for this viewable object

Example

Dim myNotes as New GamryNotes
Dim myNotesView as New GamryNotesView

myNotesView.DataSource = myNotes


Check (GamryOneParam)

Check

Returns or sets the check of the GamryOneParam object. The check determines if the GamryOneParam object is to be used.

Syntax

object.Check [= boolean]

The Check property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryOneParam object.

boolean

A boolean specifying the value of the GamryOneParam object.

Settings

The settings for boolean are:

Setting

Description

True

The object value is true, meaning that the rest of the GamryOneParam properties should be used.

False

(Default) The object value is false, meaning that the rest of the GamryOneParam properties should be ignored.

Example

Dim myOneParam as New GamryOneParam

myOneParam.Check = True


Value1 (GamryOneParam)

Value1

Returns or sets the first value of the GamryOneParam object.

Syntax

object.Value1 [= single]

Part | Description
object | An object expression that evaluates to a GamryOneParam object.
single | A single specifying the value of the object.

Example

Dim myOneParam as New GamryOneParam

myOneParam.Value1 = 1.2


DataSource (GamryOneParamView)

DataSource

Returns or sets the DataSource object for the GamryOneParamView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryOneParamView object.
source | A GamryOneParam object which is to be the source for this viewable object

Example

Dim myOneParam as New GamryOneParam
Dim myOneParamView as New GamryOneParamView

myOneParamView.DataSource = myOneParam


Activate

Brings the page to the front.

Syntax

object.Activate

Part | Description
object | An object expression that evaluates to a GamryPage object.

Example

myGamryPage.Activate


Add (GamryPage)

Add

Adds an object to the GamryPage.

Syntax

Set retval = object.Add (memberobject, [visible], [left], [top], [autoscale], [objecttype])

Part | Description
object | An object expression that evaluates to a GamryPage object.
memberobject | A viewable object that is to be displayed on the Page. This object should be a Gamry object of some sort.
visible | A boolean specifying whether or not the object is visible. TRUE means it is visible, FALSE means it is hidden.
left | The left of the object (in pixels) as measured from the left edge of the page object.
top | The top of the object (in pixels) as measured from the top edge of the page object.
autoscale | A boolean specifying whether or not to autoscale the object. TRUE means autoscale, FALSE means do not autoscale.
objecttype | The ProgID of the object. This should not be entered unless you are adding a custom ActiveX object.
retval | The object.

Example

Dim VInitView As New GamryPotenView

' This line add the GamryPotenView at coordinates 100,100.
myPage.Add VInitView, True, 100, 100, False


Caption (GamryPage)

Caption

Returns or sets the Caption of the GamryPage object.

Syntax

object.Caption [= string]

Part | Description
object | An object expression that evaluates to a GamryPage object.
string | A string specifying the caption of the object.

Example

myPage.Caption = "Sample Page"


Index (GamryPage)

Index

Returns or sets the Index of the GamryPage object.

Syntax

object.Index [= integer]

Part | Description
object | An object expression that evaluates to a GamryPage object.
integer | An integer specifying the index number of the object.

Example

Dim myIndex As Integer

myIndex = myPage.Index

Remarks

This value is usually set by the GamryPages collection when a page is added. This number should not be changed unless you are creating some special collection.


Name (GamryPage)

Name

Returns or sets the Name of the GamryPage object.

Syntax

object.Name [= string]

Part | Description
object | An object expression that evaluates to a GamryPage object.
string | A string specifying the name of the object.

Example

myPage.Name = "Sample Page"


Objects (GamryPage)

Objects

Returns the GamryObjects collection of the page.

Syntax

Set retval = object.Objects

Part | Description
object | An object expression that evaluates to a GamryPage object.
retval | A GamryObjects collection.

Example

Dim myGamryObjectsCollection As GamryObjects
Set myGamryObjectsCollection = myPage.Objects


Label (GamryPeak)

Label

Returns or sets the Label of the GamryPeak object.

Syntax

object.Label [= string]

Part | Description
object | An object expression that evaluates to a GamryPeak object.
string | A string specifying the label of the object.

Example

myPeak.Label = "A Peak"

Remarks

The label property is used to allow a change to how the peak is labeled when displayed on a GamryChart. By default, the GamryPeaks collection sets the label when a new member peak is added.


XLocation

Returns or sets the X-Location of the peak.

Syntax

object.XLocation [= x-location]

Part | Description
object | An object expression that evaluates to a GamryPeak object.
x-location | A double representing the X-Location of the peak.

Example

Dim myGamryPeak As New GamryPeak

' X-location of the peak is 1.3.
myGamryPeak.XLocation = 1.3#


YBase

Returns or sets the Y-Base of the peak.

Syntax

object.YBase [= y-base]

Part | Description
object | An object expression that evaluates to a GamryPeak object.
y-base | A double representing the Y-Base of the peak.

Example

Dim myGamryPeak As New GamryPeak

' The base of the peak is 0.
myGamryPeak.YBase = 0.0#


YLocation

Returns or sets the Y-Location of the peak.

Syntax

object.YLocation [= y-location]

Part | Description
object | An object expression that evaluates to a GamryPeak object.
y-location | A double representing the Y-Location of the peak.

Example

Dim myGamryPeak As New GamryPeak

' Y-location of the peak is 2.7.
myGamryPeak.YLocation = 2.7#


Reference

Returns or sets the reference value of the GamryPoten object.

Syntax

object.Reference [= boolean]

The Reference property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryPoten object.

boolean

A boolean specifying whether the GamryPoten object was determined using the Open Circuit potential or not.

Settings

The settings for boolean are:

Setting

Description

True

The object value is versus the Open Circuit Potential.

False

(Default) The object value is versus the Reference electrode.

Example

Dim myPoten as New GamryPoten

myPoten.Reference = True


Value (GamryPoten)

Value

Returns or sets the value of the GamryPoten object in volts.

Syntax

object.Value [= single]

Part | Description
object | An object expression that evaluates to a GamryPoten object.
single | A single specifying the value of the object.

Example

Dim myPoten as New GamryPoten

myPoten.Value = 1.2


DataSource (GamryPotenView)

DataSource

Returns or sets the DataSource object for the GamryPotenView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryPotenView object.
source | A GamryPoten object which is to be the source for this viewable object

Example

Dim myPoten as New GamryPoten
Dim myPotenView as New GamryPotenView

myPotenView.DataSource = myPoten


Value (GamryQuant)

Value

Returns or sets the value of the GamryQuant object.

Syntax

object.Value [= single]

Part | Description
object | An object expression that evaluates to a GamryQuant object.
single | A single specifying the value of the object.

Example

Dim myQuant as New GamryQuant

myQuant.Value = 1.2


DataSource (GamryQuantView)

DataSource

Returns or sets the DataSource object for the GamryQuantView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryQuantView object.
source | A GamryQuant object which is to be the source for this viewable object

Example

Dim myQuant as New GamryQuant
Dim myQuantView as New GamryQuantView

myQuantView.DataSource = myQuant


Add (GamryReport)

Add

Adds an object to the GamryReport.

Syntax

retval = object.Add (page, quadrant, style, item)

Part

Description

object

An object expression that evaluates to a GamryReport object.

page

An integer specifying which page to add the object to.

quadrant

A constant specifying the quadrant in which the object is to be added. Valid constants are:

grOne (1) | The first quadrant
grTwo (2) | The second quadrant.
grThree (3) | The third quadrant.
grFour (4) | The fourth quadrant

style

A constant specifying the style of the object to be added. Valid constants are:

grEmpty (0) | This is the default value for an empty quadrant.
grText (1) | This is used when a string is passed as the item.
grObject (2) | This is used when specifying a GamryChart object as the item.

item

A variant which refers to the item to be added. This item can be a chart object, or it can be a string object. Objects of any other type will not be added to the report.

retval

A boolean specifying if the item was added to the report. TRUE means the item was added. FALSE means the item was not added.

Example

Dim myReport as New GamryReport
Dim pageIndex as Integer

pageIndex = myReport.CreatePage (grTwo)
myReport.Add (pageIndex, grOne, grText, "A sample line in my report.")

Remarks

Note that the page must have the appropriate quadrant in order to have the object be added. If the page only has two quadrants, you will not be able to add the object to quadrant three.


CreatePage

Adds a page to the GamryReport.

Syntax

retval = object.CreatePage (layout)

Part

Description

object

An object expression that evaluates to a GamryReport object.

layout

A constant specifying the layout of the new page. Valid constants are:

grOne (1) | One quadrant.
grTwo (2) | Two quadrants.
grThree (3) | Three quadrants.
grFour (4) | Four quadrants.

retval

An integer specifying the new report page number.

Example

Dim myReport as New GamryReport
Dim pageIndex as Integer

pageIndex = myReport.CreatePage (grTwo)


Footer

Returns or sets the Footer of the GamryReport object.

Syntax

object.Footer [= string]

Part | Description
object | An object expression that evaluates to a GamryReport object.
string | A string specifying the footer of the object.

Example

myReport.Footer = "|Page %d|"

Remarks

The Footer is composed of three sections, separated by pipe characters ("|"). The first section is left-justified, the second is centered, and the third is right-justified.

You may include a page number field by embedding a "%d" code in the string. If you want to show a percent sign in the footer, double it in the Footer property (e.g. "70%% Progress Report, Page %d").

For example, the following footer would print the file name and page number on the left and right corners of every page:

myReport.Footer = FileName & "||Page %d"

You may create multi-line footers by embedding line-feed characters within the footer string. For example:

myReport.Footer = "Hello" & vbLf & "||Page" & vbLf & "%d"


Header

Returns or sets the Header of the GamryReport object.

Syntax

object.Header [= string]

Part | Description
object | An object expression that evaluates to a GamryReport object.
string | A string specifying the header of the object.

Example

' The following Header would print "MyFile" left justified, and the date, right justified.
myReport.Header = "MyFile||" & Date$

Remarks

The Header is composed of three sections, separated by pipe characters ("|"). The first section is left-justified, the second is centered, and the third is right-justified.

You may include a page number field by embedding a "%d" code in the string. If you want to show a percent sign in the footer, double it in the Footer property (e.g. "70%% Progress Report, Page %d").

For example, the following header would print the file name and page number on the left and right corners of every page:

myReport.Header = FileName & "||Page %d"

You may create multi-line footers by embedding line-feed characters within the header string. For example:

myReport.Header = "Hello" & vbLf & "||Page" & vbLf & "%d"


PrintIt

Prints the report.

Syntax

object.PrintIt (orientation)

Part

Description

object

An object expression that evaluates to a GamryReport object.

orientation

A constant specifying the orientation of the report. Valid values are:

roPortrait (0): | The report is to be printed in a Portrait orientation.
roLandscape (1): | The report is to be printed in a landscape orientation.

retval

A GamryAxis object.

Example

' Print the report in a landscape format
myReport.PrintIt roLandscape


Value (GamrySelector)

Value

Returns or sets the value of the GamrySelector object.

Syntax

object.Value [= integer]

Part | Description
object | An object expression that evaluates to a GamrySelector object.
integer | An integer specifying the value of the object.

Example

Dim mySelector as New GamrySelector

mySelector.Value = 3


DataSource (GamrySelectorView)

DataSource

Returns or sets the DataSource object for the GamrySelectorView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamrySelectorView object.
source | A GamrySelector object which is to be the source for this viewable object

Example

Dim mySelector as New GamrySelector
Dim mySelectorView as New GamrySelectorView

mySelectorView.DataSource = mySelector


Text (GamryStatic)

Text

Returns or sets the text of the GamryStatic object.

Syntax

object.Text [= string]

Part | Description
object | An object expression that evaluates to a GamryStatic object.
string | A string specifying the text of the object.

Example

Dim myStatic as New GamryStatic

myStatic.Text = "This is some static text."


DataSource (GamryStaticView)

DataSource

Returns or sets the DataSource object for the GamryStaticView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryStaticView object.
source | A GamryStatic object which is to be the source for this viewable object

Example

Dim myStatic as New GamryStatic
Dim myStaticView as New GamryStaticView

myStaticView.DataSource = myStatic


AddArray

Adds an Array of data to a GamryTable object.

Syntax

object.AddArray arrayobject

Part | Description
object | An object expression that evaluates to a GamryTable object.
arrayobject | An array of variants that has the appropriate number of columns (the first dimension) to match with the number of columns in the GamryTable object.

Example

' myTable is an empty initialized GamryTable object
' myArray is a filled VARIANT array which has the same number of columns
' as defined for myTable

myTable.AddArray myArray

Remarks

This method is meant to add a new array of data to the table. The array to be added must have the proper number of columns as defined when the table was initialized. This technique is useful when the data to be added is already in an array format, and will be faster then looping an AddRowByArray call.


AddColumn

Adds a new column of data to an existing GamryTable object.

Syntax

object.AddColumn tag, prompt, units, position, arrayobject

Part | Description
object | An object expression that evaluates to a GamryTable object.
tag | A string containing the unique tag of the new column.
prompt | A string containing the prompt of the column.
units | A string containing the units for the data in the column.
position | A long specifying the position to insert the new column. The position is zero based. A negative number will add the column at the end of the existing columns.
arrayobject | An array of variants that has the appropriate number of rows to match with the number of rows in the GamryTable object.

Example

' myTable is an empty initialized GamryTable object
' myArray is a one dimensional array which has the same number of rows
' as currently in myTable

myTable.AddColumn myArray

Remarks

This method is meant to add a new column of data to the table. The array to be added must have the proper number of rows. This technique is useful when adding some calculated data to an existing table object.


AddRow

Adds a new row of data to an existing GamryTable object.

Syntax

object.AddRow argc1, argc2, ... argcn

Part | Description
object | An object expression that evaluates to a GamryTable object.
argcn | A list of variants where n is equal to the number of columns in the GamryTable object.

Example

' myTable is an initialized GamryTable object with three columns
' this line of code will add a new row to the table, with the values places in columns
' one, two, and three, respectively.

myTable.AddRow 1.0, 2.0, 3.0


AddRowByArray

Adds a new row of data to an existing GamryTable object.

Syntax

object.AddRowByArray arrayobject

Part | Description
object | An object expression that evaluates to a GamryTable object.
arrayobject | A one dimensional array of variants where the dimension of the array is equal to the number of columns in the GamryTable object.

Example

' myTable is an initialized GamryTable object with three columns
' this line of code will add a new row to the table, with the values places in columns
' one, two, and three, respectively.

Dim myArray (0 to 2) As Variant

myArray(0) = 1.0
myArray(1) = 2.0
myArray(2) = 3.0

myTable.AddRowByArray myArray


Array

Returns the array of data contained by the GamryTable object.

Syntax

retval = object.Array

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | An array of Variants which contains the data from the GamryTable object.

Example

Dim myArray As Variant

' Returns the array of data from the GamryTable object
myArray = myTable.Array


Clear (GamryTable)

Clear

Clears out all of the exisiting data in the GamryTable object. This method does not reset the number of columns the table expects, rather it just resets the number of rows to zero.

Syntax

object.Clear

Part | Description
object | An object expression that evaluates to a GamryTable object.

Example

myTable.Clear


Column

Returns a column of data contained by the GamryTable object.

Syntax

retval = object.Column (vKey)

Part | Description
object | An object expression that evaluates to a GamryTable object.
vKey | A variant containing either the index of the table column to return, or a string containing the tag of the column to return. The index is zero based.
retval | A one dimensional array of Variants which contains the column data from the GamryTable object.

Example

Dim myColumn As Variant

' Returns the one dimensional array of data contained in column zero
' from the GamryTable object
myColumn = myTable.Column (0)


ColumnPrompts

Returns the prompts for the columns of data contained by the GamryTable object.

Syntax

retval = object.ColumnPrompts

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A one dimensional array of Variants which contains the column prompts from the GamryTable object.

Example

Dim myPrompts As Variant

' Returns the one dimensional array of column prompts
' from the GamryTable object
myPrompts = myTable.ColumnPrompts


Columns

Returns the number of columns of data contained by the GamryTable object.

Syntax

retval = object.Columns

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A long specifying the number of columns contained within the GamryTable object.

Example

Dim ColCount As Long

ColCount = myTable.Columns


ColumnTags

Returns the tags for the columns of data contained by the GamryTable object.

Syntax

retval = object.ColumnTags

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A one dimensional array of Variants which contains the column tags from the GamryTable object.

Example

Dim myTags As Variant

' Returns the one dimensional array of column tags
' from the GamryTable object
myTags = myTable.ColumnTags


ColumnUnits

Returns the units for the columns of data contained by the GamryTable object.

Syntax

retval = object.ColumnUnits

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A one dimensional array of Variants which contains the column units from the GamryTable object.

Example

Dim myUnits As Variant

' Returns the one dimensional array of column units
' from the GamryTable object
myUnits = myTable.ColumnUnits


Copy

Returns a copy of the GamryTable object.

Syntax

retval = object.Copy

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A copy of the GamryTable object.

Example

Dim myCopy As GamryTable

Set myCopy = myTable.Copy


LogColumn

Returns a the log of a column of data contained by the GamryTable object. The absolute value of the data is taken prior to performing the Log base 10 calculation.

Syntax

retval = object.LogColumn (vKey)

Part | Description
object | An object expression that evaluates to a GamryTable object.
vKey | A variant containing either the index of the table column to return, or a string containing the tag of the column to return. The index is zero based.
retval | A one dimensional array of Variants which contains the log data from the GamryTable object.

Example

Dim myLogColumn As Variant

' Returns the one dimensional array of log data contained in column zero
' from the GamryTable object
myLogColumn = myTable.LogColumn (0)

Remarks

This method is used for analysis techniques where the absolute value of the data should be used for Logarithmic plots.


Parent

Returns or sets the text of the Parent of the GamryTable object.

Syntax

object.Parent [= string]

Part | Description
object | An object expression that evaluates to a GamryTable object.
string | A string specifying the parent of the object.

Example

myTable.Parent = "C:\MyFile.dta"

Remarks

The Parent string usually contains the data file name for which the GamryTable object is associated. It can, however, be used for other things if performing custom table operations.


RemoveColumn

Removes a column of data contained by the GamryTable object.

Syntax

object.RemoveColumn (vKey)

Part | Description
object | An object expression that evaluates to a GamryTable object.
vKey | A variant containing either the index of the table column to remove, or a string containing the tag of the column to remove. The index is zero based.

Example

' This command removes the first column in the GamryTable object.
myTable.RemoveColumn (0)


Row (GamryTable)

Row

Returns a row of data contained by the GamryTable object.

Syntax

retval = object.Row (Index)

Part | Description
object | An object expression that evaluates to a GamryTable object.
Index | A long containing the index of the table row to return. The index is zero based.
retval | A one dimensional array of Variants which contains the row data from the GamryTable object.

Example

Dim myRow As Variant

' Returns the one dimensional array of data contained in Row five
' from the GamryTable object
myRow = myTable.Row (5)


Rows (GamryTable)

Rows

Returns the number of rows of data contained by the GamryTable object.

Syntax

retval = object.Rows

Part | Description
object | An object expression that evaluates to a GamryTable object.
retval | A long specifying the number of rows contained within the GamryTable object.

Example

Dim RowCount As Long

RowCount = myTable.Rows


Check (GamryToggle)

Check

Returns or sets the value of the GamryToggle object.

Syntax

object.Check [= boolean]

The Check property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryToggle object.

boolean

A boolean specifying the value of the GamryToggle object.

Settings

The settings for boolean are:

Setting

Description

True

The object value is true.

False

(Default) The object value is false.

Example

Dim myToggle as New GamryToggle

myToggle.Check = True


DataSource (GamryToggleView)

DataSource

Returns or sets the DataSource object for the GamryToggleView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryToggleView object.
source | A GamryToggle object which is to be the source for this viewable object

Example

Dim myToggle as New GamryToggle
Dim myToggleView as New GamryToggleView

myToggleView.DataSource = myToggle


Category

Sets or returns the category of the GamryTrace object.

Syntax

object.Category [= category]

Part

Description

object

An object expression that evaluates to a GamryTrace object.

category

A constant specifying the category of the trace. Valid constants are:

scNormal | &H100. A Normal trace.
scOverlay | &H200. An overlaid trace.
scLine | &H400. A line.
scFit | &H800. A Fit.
scBkSubtracted | &H1000. A Background subtracted trace.
scNormalizedByScanRate | &H2000. A trace which has been normalized by scan rate.
scNormalizedByArea | &H4000. A trace which has been normalized by Area of the electrode.

These constants may be bit "or"ed together to create a combination.

Example

myTrace.Category = scNormal


DataSource

Returns or sets the DataSource object for the GamryTrace object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryTrace object.
source | A GamryTable object which is to be the source for this viewable object

Example

Dim myTable as GamryTable

Set myTable = myTrace.DataSource


File (GamryTrace)

File

Returns or sets the text of the File source of the GamryTrace object.

Syntax

object.File [= string]

Part | Description
object | An object expression that evaluates to a GamryTrace object.
string | A string specifying the file from which the GamryTrace originated.

Example

myTrace.File = "C:\MyFile.dta"

Remarks

This information is usually set automatically when a Trace is added via the Add method of the Traces collection. The DataSource, a GamryTable object, usually contains this information in its Parent property, and this information is then relayed to the File property of the GamryTrace object.


LegendText

Returns or sets the text of the Legend for the GamryTrace object.

Syntax

object.LegendText [= string]

Part | Description
object | An object expression that evaluates to a GamryTrace object.
string | A string specifying the legend text of the object.

Example

myTrace.LegendText = "Sample Trace"

Remarks

The LegendText is usually set automatically when the trace is added to the Traces collection.


Visible (GamryTrace)

Visible

Returns or sets the whether or not the GamryTrace object is visible.

Syntax

object.Visible [= boolean]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryTrace object.

boolean

A boolean specifying the whether or not the GamryTrace object is visible.

Settings

The settings for boolean are:

Setting

Description

True

(Default) The object is visible.

False

The object is hidden.

Example

' Make it so the trace will be hidden
myTrace.Visible = FALSE


XColumn (GamryTrace)

XColumn

Returns or sets the source column for the X data of the GamryTrace object..

Syntax

object.XColumn [= index]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryChart object.

index

A long specifying the column from the DataSource which is to be the source of the X data of the GamryTrace object. The column specifier is zero based.

Example

Dim myX as Long
myX = aTrace.XColumn


Y2Column (GamryTrace)

Y2Column

Returns or sets the source column for the Y2 data of the GamryTrace object..

Syntax

object.Y2Column [= index]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryChart object.

index

A long specifying the column from the DataSource which is to be the source of the Y2 data of the GamryTrace object. The column specifier is zero based.

Example

Dim myY2 as Long
myY2 = aTrace.YColumn

Remarks

The Y2 column is optional, and a negative one (-1) value specifies that there is no Y2 column.


YColumn (GamryTrace)

YColumn

Returns or sets the source column for the Y data of the GamryTrace object..

Syntax

object.YColumn [= index]

The Visible property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryChart object.

index

A long specifying the column from the DataSource which is to be the source of the Y data of the GamryTrace object. The column specifier is zero based.

Example

Dim myY as Long
myY = aTrace.YColumn


Check (GamryTwoParam)

Check

Returns or sets the check of the GamryTwoParam object. The check determines if the GamryTwoParam object is to be used.

Syntax

object.Check [= boolean]

The Check property syntax has these parts:

Part

Description

object

An object expression that evaluates to a GamryTwoParam object.

boolean

A boolean specifying the value of the GamryTwoParam object.

Settings

The settings for boolean are:

Setting

Description

True

The object value is true, meaning that the rest of the GamryTwoParam properties should be used.

False

(Default) The object value is false, meaning that the rest of the GamryTwoParam properties should be ignored.

Example

Dim myTwoParam as New GamryTwoParam

myTwoParam.Check = True


Value1 (GamryTwoParam)

Value1

Returns or sets the first value of the GamryTwoParam object.

Syntax

object.Value1 [= single]

Part | Description
object | An object expression that evaluates to a GamryTwoParam object.
single | A single specifying the value of the object.

Example

Dim myTwoParam as New GamryTwoParam

myTwoParam.Value1 = 1.2


Value2

Returns or sets the second value of the GamryTwoParam object.

Syntax

object.Value2 [= single]

Part | Description
object | An object expression that evaluates to a GamryTwoParam object.
single | A single specifying the value of the object.

Example

Dim myTwoParam as New GamryTwoParam

myTwoParam.Value2 = 3.2


DataSource (GamryTwoParamView)

DataSource

Returns or sets the DataSource object for the GamryTwoParamView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryTwoParamView object.
source | A GamryTwoParam object which is to be the source for this viewable object

Example

Dim myTwoParam as New GamryTwoParam
Dim myTwoParamView as New GamryTwoParamView

myTwoParamView.DataSource = myTwoParam


Value

Returns or sets the value of the GamryVarUnits object.

Syntax

object.Value [= real]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsobject.
real | A real specifying the value of the object.

Example

Dim myVarUnits as New GamryVarUnits

myVarUnits.Value = 4


Value Description

Returns or sets a description of the value of the GamryVarUnits object.

Syntax

object.ValueDescription [= string]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsobject.
string | A string specifying a description for the value of the object.

Example

Dim myVarUnits as New GamryVarUnits

myVarUnits.ValueDescription = "hour(s)"


Multiplier

Returns or sets a multiplier to calculate SI units from the units of the value of the GamryVarUnits object.

Syntax

object.Multiplier [= real]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsobject.
real | A real specifying the multiplier to calculate the SI units of the object.

Example

Dim myVarUnits as New GamryVarUnits

myVarUnits.Multiplier= 3600


SIValue

Returns or sets the value in SI units of the GamryVarUnits object.

Syntax

object.SIValue [= real]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsobject.
real | A real specifying the value in SI units of the object.

Example

Dim myVarUnits as New GamryVarUnits

myVarUnits.SIValue= 14400


SIUnits

Returns or sets the SI units of the GamryVarUnits object.

Syntax

object.SIUnits [= string]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsobject.
string | A string specifying a description for the SI units of the object.

Example

Dim myVarUnits as New GamryVarUnits

myVarUnits.SIUnits= 3600


DataSource

Returns or sets the DataSource object for the GamryVarUnitsView object.

Syntax

object.DataSource [= source]

Part | Description
object | An object expression that evaluates to a GamryVarUnitsView object.
source | A GamryVarUnits object which is to be the source for this viewable object

Example

Dim myVarUnits as New GamryVarUnits
Dim myVarUnitsView as New GamryVarUnitsView


AutoScale

Returns or sets the Autoscale value of the object.

Syntax

object.AutoScale [= boolean]

The AutoScale property syntax has these parts:

Part

Description

object

An object expression that evaluates to an object in the Applies To list.

boolean

A boolean specifying the AutoScale value of the object.

Settings

The settings for boolean are:

Setting

Description

True

The object value is true. The object will be scaled to a full page when the page is resized.

False

(Default) The object value is false. The object will use its default size when a page is resized.

Example

Dim myToggleView as New GamryToggleView

myToggleView.AutoScale = False


ProgID

Returns the ProgID representing the object. ProgIDs present a human-readable version of the class identifier.

Syntax

object.ProgID

Part | Description
object | An object expression that evaluates to an object in the Applies To list.

Example

Dim myProgID as String
Dim myPoten as New GamryPoten

myProgID = myPoten.ProgID


Prompt

Returns or sets the prompt of the object.

Syntax

object.Prompt [= string]

Part | Description
object | An object expression that evaluates to an object in the Applies To list.
string | A string specifying the prompt of the object.

Example

Dim myQuantView as New GamryQuantView

myQuantView.Prompt = "A Gamry &Quant"

Remarks

The ampersand (&) character can be used to create a keyboard shortcut to a viewable object.


Top

Returns or sets the value of the top of the object in twips.

Syntax

object.Value [= integer]

Part | Description
object | An object expression that evaluates to an object in the Applies To list.
integer | An integer specifying the top of the object in twips.

Example

Dim myPotenView as New GamryPotenView

myPotenView.Top = 100


Run Named Script

This selection allows you to execute an Analysis Script without loading a data file. This option will only be used to run specific custom or user written scripts.


Active Trace

This listbox allows the user to specify the active trace. The active trace is the one which is used for certain calculations, as well as for certain chart interactions such as the "Select Portion of Curve" tool. To select a trace, simply select the trace from the listbox. The active trace must be visible.

Alternatively, by right clicking on a trace in the main chart body, you can select "Activate Trace" from the context sensitive menu. This will automatically update the Active Trace listbox.


Curve Selector

This tool shows/hides the curve selector toolbar. The curve selector toolbar allows the user to show/hide various curves, as well as specify the active curve. The curve selector toolbar also allows the user to specify which data is viewed in the main body of the chart. The available data is based on the DataSouce of the Trace.


Disable Axes Autoscaling

Some functions of the Analyst cause the chart axes to automatically rescale. This command is used to allow or prevent this behavior.


Draw Freehand Line

This command allows the user to draw a freehand line anywhere on the graph. Once this tool is selected, press the left mouse button in the main chart body where you wish to begin drawing the line. Holding the left mouse button down, drag the mouse cursor to the end point of the line, and then release the mouse button. A dashed line will be displayed on the chart as shown in the figure below.

If you wish, you can move the line by dragging the line or its endpoints using the mouse and the left mouse button. To remove a line which has not been accepted, right click on it and select Delete. If the line is acceptable, right click on the line or the endpoints of the line, and click Accept. The line will then be added to the chart, and will be added to the Curve selector window.


Legend

The legend shows the user which traces belong to which curve, by showing the color and marker key.


Main Chart Body

The main chart body is the essence of the graph. This is where the data is actually shown to the user. Right clicking on different elements within the chart body will bring up context sensitive menus which allow modification to certain aspects of the chart.


Mark Peaks

This command allows you to see any peaks that are associated with the chart. If there are no peaks associated with the chart, this button will be disabled. Certain analysis packages, such as the Cyclic Voltammetry package, have peak finding routines which will locate peaks and add them to the chart.


Select Portion of Curve

These tools allow you to select a subset of a curve upon which you would like to perform a data analysis operation. A subset can be specified either graphically or by entering values via the keyboard.

To select a portion of a curve graphically, click the mouse icon on the toolbar. Next, left click in the main chart body, near the first end point of the region you wish to select. Finally, left click again, near the other end point of the region you wish to select. Once you make these two selections, you will see the chart highlight the region you have selected.

To select a portion of a curve by entering values, click the keyboard icon on the toolbar.

This command works on the Active Trace.


Select X or Y Region

These two tools allow you to select a region along the X or Y Axis of the chart. Certain commands, such as integrate, require a region to be selected. To operate this command, first select the appropriate tool for the pertinent axis. Next, press the left mouse button when the mouse cursor is at one boundary of the region you wish to select. Finally, move the mouse to the second boundary of the region, and release the mouse button. You will see the chart highlight the region you have selected.

To clear this region, simply toggle the Select X or Select Y toolbar button.


Show Disabled Points

This command is used to show/hide disabled points. If any points have been disabled, clicking this button will make them visible. Click the button again to hide the disabled points. If no points have been disabled this command has no effect.


Specify Chart Data

Clicking this icon brings up the Curve Selector. On the bottom of the Curve Selector are three listboxes. These three listboxes allow you to dynamically change which data is to be graphed on which axis. The first listbox controls the X-Axis data, the second the Y-Axis data, and the third, the Y2-Axis data. Note that there is no requirement to have a Y2-Axis, and that there is a None option in the Y2 listbox.


Visible Traces

This listbox presents a list of all the available traces which can be displayed on the chart. The visible traces will have a check in the checkbox next to their identifier. To hide/show a trace, simply toggle the checkbox.


New Topic

What happens when I open a data file?

When you use the File/Open menu to open a raw data file ( .DTA ) the Echem Analyst reads the first few lines of the file. If the first line contains the EXPLAIN tag, then the file is identified as a Version 4 or Version 5 raw data file. The file is scanned further for the TAG identifier. The TAG that follows this identifier indicates the Explain™ script that generated the data file. It also indicates the VBA GScript that will be used to process the data file. The data file snippet, below, shows the first few lines of a sample cyclic voltammetry data file.

EXPLAIN
TAG CV
TITLE LABEL Cyclic Voltammetry Test &Identifier
DATE LABEL 8/31/2004 Date

Two databases are used to identify the name of the GScript that will be used to process the data file. One database, "AnalysisScripts.mdb" contains the lookup tables for data files produced by standard Gamry scripts. This database should not be modified by the user. A second database, "CustomAnalysisScripts.mdb" should be used to decode TAGs for custom scripts. This database is searched first so that the user may, with care, override the standard TAG/GScript mapping for a particular type of experiment. The image, below, displays how the TAG "CUSTOM" is translated into the name of the VBA script, "Custom.Gscript".